From bcf8853e457f7ec43dfcaa91c66c0ae159565b53 Mon Sep 17 00:00:00 2001
From: Jiajun Xu <jiajun.xu@intel.com>
Date: Fri, 31 Dec 2010 13:35:21 +0800
Subject: qemuimagetest: Add basic function check for rpm command

Add one case for rpm query sanity test.

Signed-off-by Jiajun Xu <jiajun.xu@intel.com>
---
 scripts/qemuimage-tests/tools/rpm_test.sh | 45 +++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 scripts/qemuimage-tests/tools/rpm_test.sh

(limited to 'scripts/qemuimage-tests/tools')

diff --git a/scripts/qemuimage-tests/tools/rpm_test.sh b/scripts/qemuimage-tests/tools/rpm_test.sh
new file mode 100644
index 000000000..6e6f9112c
--- /dev/null
+++ b/scripts/qemuimage-tests/tools/rpm_test.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+# rpm test script running in target
+#
+# Author: Jiajun Xu <jiajun.xu@intel.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+Target_Info()
+{
+	echo -e "\tTARGET: $*"
+}
+
+Target_Err()
+{
+	echo -e "\tTARGET: rpm command has issue when running, Pls. check the error log"
+	echo -e "\tTARGET: ##### Error Log #####"
+	$1
+	echo -e "\tTARGET: #####    End    #####"
+}
+
+which rpm
+if [ $? -ne 0 ]; then
+	Target_Info "No rpm command found"
+	exit 1
+fi
+
+if [ rpm > /dev/null 2>&1 ]; then
+	Target_Info "rpm command run without problem"
+else
+	Target_Err rpm
+	exit 1
+fi
+
+# run rpm with specific command parsed to rpm_test.sh
+rpm $* > /dev/null 2>&1
+
+if [ $? -eq 0 ]; then
+	Target_Info "rpm $* work without problem"
+	exit 0
+else
+	Target_Err rpm $*
+	exit 1
+fi
-- 
cgit v1.2.3